FreeMat

- Main Page
- Related Pages

vtkMath

Section: Visualization Toolkit Common Classes

# Usage

vtkMath provides methods to perform common math operations. These include providing constants such as Pi; conversion from degrees to radians; vector operations such as dot and cross products and vector norm; matrix determinant for 2x2 and 3x3 matrices; univariate polynomial solvers; and for random number generation (for backward compatibility only).

To create an instance of class vtkMath, simply invoke its constructor as follows

      obj = vtkMath

# Methods

The class vtkMath has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkMath class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkMath = obj.NewInstance ()`
- `vtkMath = obj.SafeDownCast (vtkObject o)`